
/* ---------fonts ------------  */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');

/* ---varibles------ */
:root{
   --main-color:#eaa023;
   --dark:#0c1023;
   --dark-ligth:#191f3a;
   --white:#ffffff;
   --white-ligth:#c8c8c8;
   --cursive-font: 'Dancing Script', cursive;
   --shadow:0 0 15px rgba(0,0,0,0.25);
   scroll-behavior: smooth;
}

/* ---------global setting -------- */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
}
::before,
::after{
    box-sizing: border-box;
}

body{
 font-size: 16px;
 line-height: 1.5;
 --webkit-top-highligth-color:transparent;
 font-family: 'Poppins', sans-serif;
 font-weight: 300;
 color: var(--white-ligth);
}
.container{
    max-width: 1170px;

    margin: auto;
}
.row{
    display: flex;
    flex-wrap: wrap;
}
.justify-content-between{
    justify-content: space-between;
}
.align-items-center {
    align-items: center;
}
img{
    vertical-align: middle;
    max-width: 100%;
}
a{
    text-decoration: none;
}
ul{
    list-style: none;
}
section{
    overflow: hidden;
}
.min-vh-100{
    min-height: 100vh;
}
h1{
    font-weight: 700;
    color: var(--white);
}
h2{
    font-weight: 600;
    color: var(--white);
}
h3,h4,h5,h6{
    font-weight: 500;
    color: var(--white);
}
p{
    font-size: 16px;
}
.sec-padding{
    padding:80px 0;
}
.section-title{
    margin-bottom: 60px;
    text-align: center;
    width: 100%;
    padding: 0 15px;

}
.section-title h2{
    font-size: 32px;
    text-transform: capitalize;
}
.section-title h2::before{
    content: attr(data-title);
    display: block;
    font-size: 24px;
    color: var(--main-color);
    font-weight: 400;
    font-family: var(--cursive-font);
}
/* buttons  */
.btn{
    display: inline-block;
    padding: 10px 30px ;
    background-color: transparent;
    border-radius: 30px;
    text-transform: capitalize;
    cursor: pointer;
    font-weight: 500;
    transition: all 0.5s ease;
    font-size: 16px;
    font-family: inherit;
    border: none;
    user-select: none;
    line-height: 1.5;
    color: var(--main-color);
}
.btn-default{
    border:2px solid var(--main-color)
}
.btn-default:hover{
    color: var(--white);
    background-color: var(--main-color);
}
/* animation keyframes */
@keyframes zoonInOut{
    0%,100%{
        transform: scale(1);
    }
    50%{
        transform: scale(1.1);
    }
}
@keyframes spin01{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
@keyframes pageLoader{
    0%,100%{
        transform: translateX(-50%);
    }
    50%{
        transform: translateX(50%);

    }
}
/* page loader */
.page-loader{
    background-color: var(--dark);
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 999;
    transition: all 0.6s ease;
}
.page-loader.fade-out{
    opacity: 0;
}
.page-loader::before{
    content: '';
    position: absolute;
    background-color: var(--main-color);
    height: 4px;
    width: 100px;
    left: calc(50% - 50px);
    top: calc(50% - 2px);
    animation: pageLoader 1s linear infinite;
    

}
/* start header section  */
.header{
    padding: 12px 0;
    position: fixed;
    z-index: 99;
    left: 0;
    top: 0;
    width: 100%;
   
}
.header::before{
  content: '';
  top: 0;
  left: 0;
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: var(--dark-ligth);
  box-shadow: var(--shadow);
  z-index: -1;
  transition: transform 0.5s ease;
  transform: translateY(-100%);
}
.header.sticky::before{
    transform:translateY(0%);
}
.header .logo{
    min-height: 34px;
    display: flex;
    padding:0 15px;
    align-items: center;

}
.header .logo .logo-text{
    font-family: var(--cursive-font);
    color:var(--white);
}
.header .nav-toggler{
    height: 34px;
    width: 44px;
    margin-right: 15px;
    border: none;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background-color: transparent;
}
  /* add active class */
.header .nav-toggler.active{
    position: absolute;
    right: 0;
    z-index: 1;
    transition: all 0.5s ease;
    transform: translateX(-200px);
}
.header .nav-toggler span{
    height: 2px;
    width: 30px;
    display: block;
    background-color: var(--white);
    position: relative;

}
.header .nav-toggler.active span{
    background-color: transparent;
    transition: background-color 0.5s ease;
 
}

.header .nav-toggler span::before,
.header .nav-toggler span::after{
   
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: var(--white);
}
.header .nav-toggler span::before{
    transform: translateY(-8px);
}
   /* add active class */
.header .nav-toggler.active span::before{
    transform: rotate(45deg);
    transition: transform 0.5s ease;
}

.header .nav-toggler span::after{
    transform: translateY(8px);
}
/* add active class  */
.header .nav-toggler.active span::after{
    transform: rotate(-45deg);
    transition: transform 0.5s ease;


}
.header .nav{
    position: fixed;
    right: 0;
    top: 0;
    height: 100%;
    width: 280px;
    background-color: var(--dark-ligth);
    box-shadow: var(--shadow);
    overflow-y: auto;
    padding:80px 0 40px;
    transition: transform  0.5s ease;
    transform: translateX(100%);
}
.header .nav.open{
    transform: translateX(0%);
}
.header .nav ul li a{
    display: block;
    font-size: 25px;
    color:var(--white);
    padding: 10px 30px;
    text-transform: capitalize;
    transition: color 0.3s ease;
}
.header .nav ul li a:hover{
    color: var(--main-color);
}

/* start home section  */
.home-section{
    position: relative;
    overflow: hidden;
}
.home-section::before{
    content: '';
     left: 0;
     top: 0;
     position: absolute;
     background-color: #000000;
     opacity: 0.7;
     z-index: -1;
     height: 100%;
     width: 100%;
}
.home-section .bg{
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    z-index: -2;
    position: absolute;
    background-image: url(../images/penne-pasta.jpg);
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    animation: zoonInOut 20s ease infinite;
}
.home-section .min-vh-100{
    padding: 100px 0;

}
.home-section .home-text{
    padding:  0 15px;
    max-width: 700px;
    text-align: center;
    margin: auto;
    width: 100%;
}
.home-section .home-text h1{
    font-family: var(--cursive-font);
    font-size: 60px;
    line-height: 75px;
    margin: 0 0 5px;
}
.home-section .home-text p{
    margin:  0 0 5px;
}
/* start about section  */
.about-section{
    background-color: var(--dark-ligth);
}
.about-text,.about-img{
    width: 50%;
    padding: 0 15px ;
}
.about-text h3{
    font-size: 30px;
    text-transform: capitalize;
    margin:  0 0 15px;
}
.about-text p{
    margin: 0 0 15px;
}
.about-text .btn{
    margin: 15px 0 0 ;
}

.about-img img{
    width: 100%;
    border-radius: 10px;
}
.about-img .box-img{
    position: relative;
}


.about-img .box-img h3{
    left: 50%;
    top:50%;
    position: absolute;
    max-width: 250px;
    text-align: center;
    transform: translate(-50%,-50%);
    font-size:30px;
    font-family: var(--cursive-font);
    width: 100%;
    color: var(--dark);
    font-weight: bold;
    text-transform: capitalize;
}
.about-img .box-img::before{
    content: '';
    position: absolute;
    height: 100px;
    width: 100px;
    border: 3px solid var(--main-color);
    left: calc(50% - 50px);
    top: calc(50% - 50px);
    animation: spin01 10s linear infinite;
}
 /* start meun section  */
.menu-section{
    background-color: var(--dark);
}
.menu-tabs{
    padding: 0 15px;
    text-align: center;
    width: 100%;
}
.menu-tab-item{
    font-size: 16px;
    font-family: inherit;
    cursor: pointer;
    color: var(--white);
    font-weight: 500;
    text-transform: capitalize;
    border: none;
    background-color: transparent;
    margin:  0 10px 10px ;
    transition: color 0.3s ease;
    display: inline-block;
}
.menu-tab-item.active{
    color: var(--main-color);
}
.menu-item img{
  width: 50px;
  height: 50px;
  max-width: 100px;
  margin-right: 15px;
}
.menu-tab-content{
    display: none;
}
.menu-tab-content.active{
    display:flex ;
}
.menu-item{
    width: 50%;
    padding: 20px 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}
.menu-item::after{
    content: '';
    position: absolute;
    left: 15px;
    right: 15px;
    bottom: 0;
    border-bottom:2px dashed var(--dark-ligth)
}
.menu-item:nth-last-child(1):after,
.menu-item:nth-last-child(2):after{
    border: none;
}
.menu-item-title{
    display: flex;
    align-items: center;
    max-width: calc(100% - 80px );
}
.menu-item:hover .menu-item-title h3{
color: var(--main-color);
}
 .menu-item-title h3{
    font-size: 16px;
    text-transform: capitalize;
    transition: color 0.3s ease;
}
.menu-item-price{
    font-weight: 500;
    color:var(--main-color);
    font-size: 16px;
    transition: color 0.3s ease;
}
.menu-item:hover .menu-item-price{
    color: var(--white);
    }


/* start testimonail section  */

.testimonial-section{
    background-color: var(--dark);
    padding-bottom: 50px;
}
.testi-item{
    width: calc((100% / 3 ) - 30px);
    border: 2px solid var(--dark-ligth);
    padding: 30px;
    margin: 0 15px 30px;
    border-radius: 8px ;
    box-shadow: var(--shadow);
}

.testi-auther{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.testi-auther h3{
    font-size: 16px;
    text-transform: capitalize;
    margin: 0 0 3px;
}
.testi-auther span{
    display: block;
    font-size: 14px;
    text-transform: capitalize;
}
.testi-auther img{
    width: 60px;
    height: 60px;
  max-width: 60px;
  border-radius: 50%;
  border: 3px solid var(--dark-ligth);
  box-shadow: var(--shadow);
  transition: border-color 0.3s ease;
}
.testi-item:hover .testi-auther img{
   border-color: var(--main-color);
}
.testi-item p{
    margin: 15px 0;
}
.testi-item .ratings i{
    font-size: 16px ;
    color: var(--main-color);
}

/* start team section  */
.team-section{
    background-color: var(--dark);
    padding-bottom: 125px;
}
.team-item{
    width: calc(100%/3);
    padding:0 15px;
    position: relative;
}
.team-item img{
    width: 100%;
    height: 300px;
    border-radius: 8px;
    transition: transform 0.5s ease;
}
.team-item:hover img{
    transform: skewY(2deg);
}
.team-item:hover .team-item-info{
    transform: translateY(-15px);
    background-color: var(--main-color);
}
.team-item-info{
    background-color: var(--dark-ligth);
    border-radius: 8px;
    padding: 15px;
    text-align: center;
    position: absolute;
    right: 30px;
    bottom: 0;   
    left: 30px;
    transform: translateY(50%);
    transition: all 0.5s ease;
    pointer-events: none;
}
.team-item-info h3{
    font-size: 16px;
    text-transform: capitalize;
}
.team-item-info p{
    text-transform: capitalize;
}
.team-item:hover .team-item-info p{
   
    color: var(--white);

}

/* start footer  */
.footer{
    background-image: url(../images/spoons.jpg);
    padding: 80px 0 0;
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    position: relative;
    z-index: 1;

}
.footer::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: -1;
}
 .footer-item{
     width: calc(100% / 3);
     padding:0 15px;
     text-align: center;
 }
 .footer-item h3{
     font-size: 22px;
     text-transform: capitalize;
     margin: 0 0 15px;
 }
.footer-item p{
    line-height: 30px;
}
.footer-item .socail-icons{
    margin-top: 15px;
}
.footer-item .socail-icons a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 22px;
    color: var(--white-ligth);
    height: 40px;
    width: 40px;
    transition: color 0.5s ease;
}
.footer-item .socail-icons a:hover{
    color:var(--main-color);
}
.footer .copy-right{
    margin: 80px 0 0;
    width: 100%;
    text-align: center;
    padding: 25px 15px;
    font-size: 14px;
    border-top: 1px solid var(--white);
}


 /* resposive section  */

 @media(max-width:991px){
  .testi-item{
      width: calc(50% - 30px);
  }
    .team-item{
        width: 50%;
    }
    .team-item:not(:last-child){
        margin-bottom: 75px;

    }
 }
 @media(max-width:767px){
     .home-text h1{
         font-size: 50px;
         line-height: 65px;
     }

     .about-img,
     .about-text,
     .menu-item{
         width: 100%;
     }
     .about-text h3{
         font-size: 24px;
     }
     
     .about-img{
         margin-top: 40px;
     }
     .menu-item:nth-last-child(2):after{
         border-bottom: 2px solid var(--dark-ligth);
     }
     .testi-item{
         width: calc(100% - 30px);
     }
     .footer-item{
         width: 100%;
     }
     .footer-item:not(:last-child){
       margin-bottom:30px ;
     }
 }
 @media(max-width:575px){
     .team-item{
         width: 100%;
     }

 }